.header-button {
    color: #959595;
}
.header-button:hover, .header-button:active {
    color: #000000;
}

.sub-header-button , .sub-header-button:disabled {
    padding: 0%;
    background-color: #ffffff;
    color: #000000;
    border: 0;
    outline: 0;
    box-shadow: none;
}
.sub-header-button:hover , .sub-header-button:focus , .sub-header-button:checked,
.sub-header-button:not(:disabled):not(.disabled).active,
.sub-header-button:not(:disabled):not(.disabled):active {
    padding: 0%;
    background-color: #ffffff;
    color: #000000;
    border-bottom-width: 34px;
    border-bottom: red;
    border-right: 0;
    border-left: 0;
    border-top: 0;
    outline: none;
    border-style: solid;
    box-shadow: none;
}

.header-line {
    width: 100%;
    height: 1px;
    background-color: #ededed;
    margin: 0 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.category-button {
    width: max-content;
}

.category-image {
    width: 350px;
}

.product-card {
    width: 250px;
    border: solid;
    border-color: #ededed;
    text-align: center;
    margin: 20px auto 0;
    box-shadow: 0 3px 6px rgba(0,0,0,.06);
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
}

.product-card:hover, .product-card:active {
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
    box-shadow: 0 3px 6px rgba(0,0,0,.61);
}

.product-image {
    height: 200px;
    width: 150px;
}

.badge-cart {
    position: absolute;
    top: -5px;
    left: 30px;
    background-color: #ec407a;
    width: 22px;
    height: 22px;
    text-align: center;
    font-size: 13px;
    line-height: 22px;
    font-weight: 700;
    color: #fff;
    border: 1px solid #ec407a;
    border-radius: 50%;
}

.color-red {
    color: red;
}

.price-holder {
    width: 170px;
    background-color: transparent;
    padding: 2px 0;
    border-top-right-radius: 35px;
    border-bottom-right-radius: 35px;
    -webkit-transition: all .5s ease-in;
    transition: all .5s ease-in;
    margin-left: -15px;
}
.price {
    margin-bottom: 0;
    font-weight: 700;
    font-size: 24px;
    color: #202124;
}
.toman {
    margin-right: 5px;
    font-weight: 400;
    color: #d8d8d8;
    font-size: 15px;
}

.cart-container {
    position: absolute;
    background-color: #202124;
    left: 0;
    z-index: 120;
    top: 48px;
    width: 280px;
    border-radius: 5px;
    box-shadow: 0 12px 24px rgba(0,0,0,.3);
    font-weight: 400;
}

.cart-item {
    max-height: calc(100vh - 250px);
}

.cart-item-inner {
    display: flex;
    position: relative;
    padding: 15px;
}
.cart-item-image-container {
    padding-right: 15px;
    padding-left: 13px;
}

.cart-item-image {
    width: 80px;
    height: 90px;
}
.cart-item-content {
    padding-left: 15px;
    text-align: right;
}

.quantity-container {
    max-width: 109px;
    border: 1px solid #3d3d3f;
    border-radius: 6px;
    text-align: center;
    display: flex;
    line-height: 32px;
    align-items: center;
    position: relative;
    width: 100px;
}

.sum-price-container {
    width: 100%;
    padding: 20px 40px;
    border-top: 1px solid #3d3d3f;
    border-bottom: 1px solid #3d3d3f;
    background-color: rgba(61,61,63,.51);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.remove-product-btn {
    color: #d4d3d3;
    position: absolute;
    bottom: 50px;
    left: 20px;
    cursor: pointer;
    font-size: 1.5rem;
}

.cart-submit-btn {
    border: none;
    border-radius: 8px;
    font-size: 18px;
    width: 100%;
    padding: 20px;
    background-color: #ec407a;
    color: #fff;
    font-weight: 400;
    -webkit-transition: all .25s ease;
    transition: all .25s ease;
}